# -*- coding: utf-8 -*-

from website.handlers.enterprise_device import handler

handlers = [
    ("/enterprise/device/classification/add", handler.DeviceClassificationAddHandler),
    ("/enterprise/device/classification", handler.DeviceClassificationHandler),
    (
        "/enterprise/device/classification/delete",
        handler.DeviceClassificationDeleteHandler,
    ),
    ("/enterprise/entity/nodes/device/add", handler.DeviceAddHandler),
    ("/enterprise/entity/nodes/device/edit", handler.DeviceEditHandler),
    ("/enterprise/entity/nodes/device/delete", handler.DeviceDeleteHandler),
    ("/enterprise/entity/nodes/device/list", handler.DeviceListHandler),
    ("/enterprise/entity/nodes/device/list/simple", handler.DeviceListSimpleHandler),
    ("/enterprise/entity/nodes/device/info", handler.DeviceInfoHandler),
    ("/enterprise/entity/nodes/device/basemodel/list", handler.DeviceBasemodelListHandler),
    (
        "/enterprise/entity/nodes/device/basemodel/custom/config",
        handler.DeviceBaseModelCustomConfigHandler,
    ),
    ("/enterprise/device/status/list", handler.StatusListHandler),
    ("/enterprise/device/status/info", handler.StatusInfoHandler),
    ("/enterprise/device/status/log", handler.StatusLogHandler),
]
page_handlers = []
